# Data Exports

Below is the currently supported schema, if you need something specific not listed here please reach out to us!

**Schema**

| Category            | Field Name                | Description                    |
| ------------------- | ------------------------- | ------------------------------ |
| Basic Data          | event\_id                 | Unique id of the event         |
|                     | event\_name               |                                |
|                     | event\_type               |                                |
|                     | event\_time               |                                |
|                     | url                       |                                |
|                     | url\_params               |                                |
|                     | path\_name                |                                |
| Session Info        | session\_id               |                                |
| Identity            | customer\_user\_id        | (If provided in events)        |
|                     | identity\_wallet\_address |                                |
| Browser Information | device\_user\_agent       | User agent of browser          |
|                     | utm\_medium               |                                |
|                     | utm\_source               |                                |
|                     | utm\_campaign             |                                |
|                     | utm\_content              |                                |
|                     | utm\_term                 |                                |
|                     | referer                   | Page Referer (from Browser)    |
| Onchain Data        | chain\_id                 |                                |
|                     | tx\_hash                  |                                |
| Attribution Data    | attribution\_channel      |                                |
|                     | attribution\_type         | enum (organic, external, etc.) |

**Technical Details**

* **Method 1: Spindl Access to your S3 Bucket**

  * You’ll need to give an S3 bucket to the following ARN:

    ```jsx
    arn:aws:iam::475852047645:role/spindl-data-exports-role
    ```

  * For example, a bucket policy might look like:

    ```
    {
        "Version": "2012-10-17",
        "Statement": [
            {
                "Effect": "Allow",
                "Principal": {
                    "AWS": "arn:aws:iam::475852047645:role/spindl-data-exports-role"
                },
                "Action": [
                    "s3:GetObject",
                    "s3:GetObjectVersion",
                    "s3:PutObject"
                ],
                "Resource": "arn:aws:s3:::{bucket-name}/*"
            },
            {
                "Effect": "Allow",
                "Principal": {
                    "AWS": "arn:aws:iam::475852047645:role/spindl-data-exports-role"
                },
                "Action": "s3:GetBucketLocation",
                "Resource": "arn:aws:s3:::{bucket-name}"
            },
            {
                "Effect": "Allow",
                "Principal": {
                    "AWS": "arn:aws:iam::475852047645:role/spindl-data-exports-role"
                },
                "Action": "s3:ListBucket",
                "Resource": "arn:aws:s3:::{bucket-name}",
                
            }
        ]
    }
    ```

* **Method 2:  Spindl IAM Role on your AWS Account**
  * Create IAM User on your side with read access to the s3 bucket and provide us the *AWS\_ACCESS\_KEY* and *AWS\_SECRET\_KEY*

File Format and Details

* Format: .csv and .parquet files are currently supported
* Each daily file will be formatted as {YYYY-MM-DD}.csv where the date is the start date
* First file will upload a backfill, and future files will follow the above format


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spindl.xyz/spindl/techncial/api/data-exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
